#include <bits/stdc++.h>

using namespace std;

int main(){
    int s[20001];
    int n,k; cin>>n; cin>>k;
    for(int i=0; i<n; i++){
        scanf("%d", &s[i]);   }

    if(s[n-1]==k)
        cout<<s[0];
    else{
        for(int j=0;j<n; j++){
            if(s[j]==k)
                cout<<s[j+1];  }  }
    
    return 0;   }